Воскрешение трупа. Через четыре года Adobe возобновила цикл обновлений Flash Player NPAPI под Linux

в 13:01, , рубрики: adobe, flash, linux, браузеры

Воскрешение трупа. Через четыре года Adobe возобновила цикл обновлений Flash Player NPAPI под Linux - 1

В феврале 2012 года компания Adobe приняла решение прекратить выпуск Flash Player (NPAPI) под Linux. Вместо этого решили в партнёрстве с Google выпускать плагин через единый интерфейс PPAPI (Pepper API) в браузере Chrome, общий для всех платформ. Таким образом, версия 11.2 стала последним обособленным браузерным плагином Flash Player под Linux, хотя для остальных платформ Adobe продолжила осуществлять поддержку, а под Linux выходили только обновления безопасности для 11.2. В то же время, плагин PPAPI обновлялся синхронно с отдельными плагинами под Windows и Mac.

Спустя четыре с половиной года Adobe изменила позицию. 31 августа 2016 года в корпоративном блоге объявлено, что разработка NPAPI Linux продолжится и дальше синхронно с PPAPI.

Согласно комментарию Adobe, такое решение принято по просьбам сообщества после тестирования.

Компания Adobe обновила канал с бета-версией Linux NPAPI Flash Player, подняв её до синхронного состояния с последними ветками. То есть с версии 11.2 плагин обновился сразу до последней версии 23. Теперь NPAPI Flash Player будет и дальше синхронно обновляться под Linux, Windows и Mac, как это было до 2012 года.

Дыра в безопасности

Изменение в разработке под Linux связано с политикой Adobe в сфере информационной безопасности. В прошлые годы планировалось вообще отказаться от плагинов NPAPI Linux в 2017 году, то есть прекратить даже выпуск обновлений безопасности. Сейчас планы изменились. Вероятно, Adobe посчитала слишком большой угрозой оставлять дырявый Flash Player NPAPI Linux без обновлений безопасности.

Такое решение вполне логично. Flash Player считается одним из самых уязвимых компонентов в системе безопасности на Windows, Mac и Linux. Люди устанавливают этот плагин, преимущественно, для работы с устаревшими веб-сайтами и некоторыми интерфейсами, которые написаны на Flash, жертвуя безопасностью собственной системы.

Ограниченная функциональность

Компания подчёркивает, что безопасность — главная причина изменения политики. О функциональности плагина и новых функциях для пользователей Linux думают во вторую очередь. Поэтому в новой версии не полностью реализованы некоторые функции, такие как 3D-ускорение на GPU и контейнеры DRM для просмотра видео, обременённого копирайтом. Если пользователям нужна эта функциональность, то Adobe рекомендует использовать версию Flash Player PPAPI.

Отказ от дополнительной функциональности позволил Adobe сэкономить ресурсы и не тратить много сил и денег на выпуск версии под Linux. Впрочем, даже в таком варианте плагин не впечатляет качеством кода. Пользователи под Linux говорят, что флэш-контент нельзя воспроизводить одновременно в двух вкладках браузера.

###!!! [Parent][MessageChannel::Call] Error: Channel error: cannot send/recv

###!!! [Parent][MessageChannel::Call] Error: (msgtype=0xAA0001,name=PPluginInstance::Msg___delete__) Channel error: cannot send/recv

Если закрыть одну из них, то Adobe Flash во второй сразу вылетает. Впрочем, это ведь бета-версия.

В данный момент Flash Player NPAPI распространяется только в виде 32-битных и 64-битных бинарников. Инсталляторы выпустят позже после дополнительного тестирования. Перед установкой рекомендуется сделать резервную копию плагина Flash Player и вручную заменить его на новую версию в соответствующей директории.

Adobe также отмечает, что в этой версии не поддерживаются дистрибутивы Linux на базе Fedora.

Release notes для Flash Player 23 и AIR 23 (в формате pdf)
Страница для скачивания бинарников

Таким образом, сейчас Flash Player NPAPI под Linux изменяет статус с «почти мёртв» до «кое-как поддерживается».

«Труп разлагается, но всё ещё умудряется делать пиар. Дайте уж ему спокойно умереть в одиночестве, которого он заслуживает, — пишет один из комментаторов на форуме Slashdot. — Нечего тут смотреть, проходим дальше».

«Когда он был нужен, обновлений не было. Когда всем наплевать, они начали его обновлять. В компании Adobe работают умные люди», — согласен ещё один линуксоид с форума Phoronix. Другие комментаторы высказываются более лаконично.

Если же объективно смотреть на вещи, то почему бы Adobe не обновить тогда и программу Adobe Reader под Linux, которая с мая 2013 года застряла на версии 9.5.5 (текущая версия 11.1 для Windows, Mac и Android)?

Автор: alizar

Источник

Поделиться новостью

* - обязательные к заполнению поля